Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push
Class HornetQPushStrategy

    java.lang.Object
      org.hornetq.rest.queue.push.UriStrategy
          org.hornetq.rest.queue.push.UriTemplateStrategy
              org.hornetq.rest.queue.push.HornetQPushStrategy

All Implemented Interfaces:
  PushStrategy

    public class HornetQPushStrategy

extends UriTemplateStrategy

Forwarding to a HornetQ/REST-* endpoing

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected boolean` | `initialized`

Fields inherited from class org.hornetq.rest.queue.push.UriStrategy
`client, contentType, executor, method, registration, targetUri`

Constructor Summary
`HornetQPushStrategy()`

Method Summary
`protected void` | `initialize()`
`boolean` | `push(org.hornetq.api.core.client.ClientMessage message)`
`void` | `start()`

Methods inherited from class org.hornetq.rest.queue.push.UriTemplateStrategy
`createUri`

Methods inherited from class org.hornetq.rest.queue.push.UriStrategy
`initAuthentication, setRegistration, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialized

    protected boolean initialized

Constructor Detail

### HornetQPushStrategy

    public HornetQPushStrategy()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `PushStrategy`
  Overrides:
    `start` in class `UriStrategy`
  Throws:
    `java.lang.Exception`

### initialize

    protected void initialize()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### push

    public boolean push(org.hornetq.api.core.client.ClientMessage message)

  Specified by:
    `push` in interface `PushStrategy`
  Overrides:
    `push` in class `UriStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.